IMPOSSIBLE TO GENERATE Flutter APK HELP ME PLEASE TO CORRECT THIS "Invalid Depfile" ERROR

Bonjour.

I NEED YOUR HELP ABOUT PROBLEM TO BUID APK. PLEASE !!!

I have been trying since yesterday to build the APK of my FLUTTER Application to no avail (without any success). It becomes a headache for me.

Below you have the results of the “flutter doctor” command in ANDROID-STUDIO and the screenshots numbered from 1 to 4 of the compilation errors when I execute the “flutter build appbundle” command

HELP ME PLEASE SUCCEED THE “APK” COMPILATION OF MY APP.

---------------------------- RESULT OF “FLUTTER DOCTOR” COMMAND -----------------------

C:\flutter\bin\flutter.bat doctor --verbose
[√] Flutter (Channel stable, v1.12.13+hotfix.9, on Microsoft Windows [version 10.0.18363.900], locale fr-CI)
• Flutter version 1.12.13+hotfix.9 at C:\flutter
• Framework revision f139b11009 (3 months ago), 2020-03-30 13:57:30 -0700
• Engine revision af51afceb8
• Dart version 2.7.2

[√] Android toolchain - develop for Android devices (Android SDK version 29.0.3)
• Android SDK at C:\Users\ChegMarco\AppData\Local\Android\sdk
• Android NDK location not configured (optional; useful for native profiling support)
• Platform android-29, build-tools 29.0.3
• Java binary at: C:\Program Files\Android\Android Studio\jre\bin\java
• Java version OpenJDK Runtime Environment (build 1.8.0_212-release-1586-b04)
• All Android licenses accepted.

[√] Android Studio (version 3.6)
• Android Studio at C:\Program Files\Android\Android Studio
• Flutter plugin version 45.1.1
• Dart plugin version 192.7761
• Java version OpenJDK Runtime Environment (build 1.8.0_212-release-1586-b04)

[√] VS Code, 64-bit edition (version 1.46.0)
• VS Code at C:\Program Files\Microsoft VS Code
• Flutter extension version 3.11.0

[!] Connected device
! No devices available

! Doctor found issues in 1 category.
Process finished with exit code 0

Please try the following commands:

flutter clean

flutter build apk

Ok I’ll try it later. Great Thanks

1 Like